Subject: Re: [PATCH v3 3/3] parse-remote: remove this now-unused library

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 17 Nov 2020 15:24:57 +0100

On Mon, Nov 16 2020, Junio C Hamano wrote:

> Ævar Arnfjörð Bjarmason  <[email-masked]> writes:
>
>> The previous two commits removed the last use of a function in this
>> library, but most of it had been dead code for a while[1][2]. Only the
>> "get_default_remote" function was still being used.
>
> Yup.  ... still being used, but now it is gone.
>
>> Even though we had a manual page for this library it was never
>> intended (or I expect, actually) used outside of git.git. Let's just
>> remove it, if anyone still cares about a function here they can pull
>> them into their own project[3].
>>
>> 1. Last use of error_on_missing_default_upstream():
>>    d03ebd411c ("rebase: remove the rebase.useBuiltin setting",
>>    2019-03-18)
>>
>> 2. Last use of get_remote_merge_branch(): 49eb8d39c7 ("Remove
>>    contrib/examples/*", 2018-03-25)
>>
>> 3. https://lore.kernel.org/git/[email-masked]/
>
> I am not sure why we even need reference [3] here.  
>
> Isn't it another mailing list article where you express your opinion
> "they can dig our old version and copy it to their project", which
> is the same statement you are making in this proposed log message?
>
> Are we saying "we said the same thing on the list before, which is
> stronger truth than the claim in this proposed log message"?

I was aiming for answering the question of "why didn't he just move it
to contrib/?" by adding an (it seems too much of an indirect) reference
to contrib/examples/, without going into that whole saga again in the
commit message itself.